import XMPPSwift

enum RegistrationAction: Codable {
    case goTo(_ flow: RegistrationNavigationFlow)

    case targetJidChanged(_ jid: JID?)
    case targetJidUpdated(_ jid: JID?)
    case serverStateChanged(_ state: RegistrationServerState)
    case clientStateChanged(_ state: RegistrationClientState)
}
